package com.jeeplus.modules.filing.earlyEngineering.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;
import java.util.List;

public class EarlyEngineering extends DataEntity<EarlyEngineering> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 初设批复文号
     * */
    private String preDesignNo;

    /**
     * 初设批复日期
     * */
    private Date initialDesignDate;

    /**
     * 初设附件
     * */
    private String preDesignAnnex;

    /**
     * 批概动态
     * */
    private String batchOverview;

    /**
     * 批概静态
     * */
    private String batchStatistics;

    /**
     * 批概场地清理费/相应的WBS编码
     * */
    private String estimateCode;

    /**
     * 设计费批概相应的/相应的WBS编码WBS编码
     * */
    private String designCost;

    /**
     * 监理费批概/相应的WBS编码
     * */
    private String supervisionFeeCode;

    /**
     * 批概法人管理费/相应的WBS编码
     * */
    private String managementFeeCode;

    /**
     * 其他概算中需要的数据/相应的WBS编码
     * */
    private String dataCode;

    /**
     * 可研初设一体化设计中标通知书
     * */
    private String letterDesign;

    /**
     * 勘察设计合同
     * */
    private String disigningContract;

    /**
     * 业主项目部成立文件
     * */
    private String ownerDapartment;

    /**
     * 三个项目部关键人员信息
     * */
    private String threeDepartment;

    /**
     * 监理合同
     * */
    private String inspectionControl;

    /**
     * 施工中标通知书
     * */
    private String letterAcceptance;

    /**
     * 施工合同
     * */
    private String conContract;

    /**
     * 其他合同
     * */
    private String otherContracts;

    /**
     * 用地预审意见（变电站） 文号：
     * */
    private String landNo;
    /**
     * 用地预审意见（变电站） 日期：
     * */
    private Date landDate;
    /**
     * 用地预审意见（变电站） 附件：
     * */
    private String landAnnex;
    /**
     * 环评批复（变电站、线路） 文号：
     * */
    private String eiaNo;
    /**
     * 环评批复（变电站、线路） 日期：
     * */
    private Date eiaDate;
    /**
     * 环评批复（变电站、线路） 附件：
     * */
    private String eiaAnnex;
    /**
     * 环评验收文号及日期 文号：
     * */
    private String acceptanceNo;
    /**
     * 环评验收文号及日期 日期：
     * */
    private Date acceptanceDate;
    /**
     * 环评验收文号及日期 附件：
     * */
    private String acceptanceAnnex;
    /**
     * 水保批复（变电站、线路） 文号：
     * */
    private String replyNo;
    /**
     * 水保批复（变电站、线路） 日期：
     * */
    private Date replyDate;
    /**
     * 水保批复（变电站、线路） 附件：
     * */
    private String replyAnnex;
    /**
     * 水保验收文号及日期 文号：
     * */
    private String soilNo;
    /**
     * 水保验收文号及日期 日期：
     * */
    private Date soilDate;
    /**
     * 水保验收文号及日期 附件：
     * */
    private String soilannex;
    /**
     * 压覆矿藏复函（变电站） 文号：
     * */
    private String depositNo;
    /**
     * 压覆矿藏复函（变电站） 日期：
     * */
    private Date depositDate;
    /**
     * 压覆矿藏复函（变电站） 附件：
     * */
    private String depositAnnex;
    /**
     * 地灾评估备案表（变电站） 文号：
     * */
    private String recordNo;
    /**
     * 地灾评估备案表（变电站） 日期：
     * */
    private Date recordDate;
    /**
     * 地灾评估备案表（变电站） 附件：
     * */
    private String recordAnnex;
    /**
     * 选址意见书（变电站） 文号：
     * */
    private String siteProposalNo;
    /**
     * 选址意见书（变电站） 日期：
     * */
    private Date siteProposalDate;
    /**
     * 选址意见书（变电站） 附件：
     * */
    private String siteProposalAnnex;
    /**
     * 线路路径规划意见 文号：
     * */
    private String planningNo;
    /**
     * 线路路径规划意见 日期：
     * */
    private Date planningDate;
    /**
     * 线路路径规划意见 附件：
     * */
    private String planningAnnex;
    /**
     * 用地规划许可证 文号：
     * */
    private String usePlanNo;
    /**
     * 用地规划许可证 日期：
     * */
    private Date usePlanDate;
    /**
     * 用地规划许可证 附件：
     * */
    private String usePlanAnnex;
    /**
     * 征地补偿批复 文号：
     * */
    private String requisitonNo;
    /**
     * 征地补偿批复 日期：
     * */
    private Date requisitonDate;
    /**
     * 征地补偿批复 附件：
     * */
    private String requisitonAnnex;
    /**
     * 建设用地批准书 文号：
     * */
    private String conLandNo;
    /**
     * 建设用地批准书 日期：
     * */
    private Date conLandDate;
    /**
     * 建设用地批准书 附件：
     * */
    private String conLandAnnex;
    /**
     * 划拨决定书 文号：
     * */
    private String transferNo;
    /**
     * 划拨决定书 日期：
     * */
    private Date transferDate;
    /**
     * 划拨决定书 附件：
     * */
    private String transferAnnex;
    /**
     * 土地证（变电站） 文号：
     * */
    private String certificateNo;
    /**
     * 土地证（变电站） 日期：
     * */
    private Date certificateDate;
    /**
     * 土地证（变电站） 附件：
     * */
    private String certificateAnnex;
    /**
     * 建设工程规划许可证（变电站） 文号：
     * */
    private String permitNo;
    /**
     * 建设工程规划许可证（变电站） 日期：
     * */
    private Date permitDate;
    /**
     * 建设工程规划许可证（变电站） 附件：
     * */
    private String permitAnnex;
    /**
     * 消防设计审查/备案意见（变电站） 文号：
     * */
    private String fireProNo;
    /**
     * 消防设计审查/备案意见（变电站） 日期：
     * */
    private Date fireProdate;
    /**
     * 消防设计审查/备案意见（变电站） 附件：
     * */
    private String fireProAnnex;
    /**
     * 消防验收/备案意见（变电站） 文号：
     * */
    private String fireAccNo;
    /**
     * 消防验收/备案意见（变电站） 日期：
     * */
    private Date fireAccDate;
    /**
     * 消防验收/备案意见（变电站） 附件：
     * */
    private String fireAccAnnex;
    /**
     * 不动产权证 文号：
     * */
    private String estateNo;
    /**
     * 不动产权证 日期：
     * */
    private Date estateDate;
    /**
     * 不动产权证 附件：
     * */
    private String estateAnnex;

    /**
     * 规划总平（变电站）
     * */
    private String planningLevel;
    /**
     * 勘察定界报告（变电站）
     * */
    private String surveyReport;
    /**
     * 征地红线图（变电站）
     * */
    private String redLineMap;
    /**
     * 用地红线图（变电站）
     * */
    private String redLineLand;
    /**
     * 宗地图
     * */
    private String zongMap;
    /**
     * 勘察合同备案表（变电站）
     * */
    private String recordSurvey;
    /**
     * 设计合同备案表（变电站）
     * */
    private String recordDesign;
    /**
     * 施工合同备案表（变电站）
     * */
    private String recordContract;
    /**
     * 监理合同备案表（变电站）
     * */
    private String supervisionRecord;
    /**
     * 岩土勘察报告审查合格意见（变电站）
     * */
    private String qulifiedOpinions;
    /**
     * 施工图审查合格意见（变电站）
     * */
    private String constructionComments;
    /**
     * 施工图审查合格证（变电站）
     * */
    private String constructionDrawing;
    /**
     * 抗震设防审查证书（变电站）
     * */
    private String seismicReview;
    /**
     * 规划放线报告（变电站）
     * */
    private String planningSetting;
    /**
     * 安监申报书、备案表（变电站）
     * */
    private String safetyRecord;
    /**
     * 质监申报书、备案表（变电站）
     * */
    private String qualityRecord;
    /**
     * 施工许可证
     * */
    private String constructionPermit;
    /**
     * 规划竣工测绘现状图及管线、绿化、比较图（变电站）
     * */
    private String planBuiltMapping;
    /**
     * 质监竣工验收意见（变电站）
     * */
    private String qualityAcceptance;
    /**
     * 城建档案接收合格证明（变电站）
     * */
    private String urbanArchives;
    /**
     * 竣工备案表（变电站）
     * */
    private String completionRecord;
    /**
     * 房产测绘报告
     * */
    private String realEstate;
    /**
     * 宗地复测报告
     * */
    private String reportOnLang;

    /**
     * 子类数据集合
     * */
    private List<EarlyEngineering> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="初设批复文号", align=2, sort=4)
    public String getPreDesignNo() {
        return preDesignNo;
    }

    public void setPreDesignNo(String preDesignNo) {
        this.preDesignNo = preDesignNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="初设批复日期", align=2, sort=5)
    public Date getInitialDesignDate() {
        return initialDesignDate;
    }

    public void setInitialDesignDate(Date initialDesignDate) {
        this.initialDesignDate = initialDesignDate;
    }

    public String getPreDesignAnnex() {
        return preDesignAnnex;
    }

    public void setPreDesignAnnex(String preDesignAnnex) {
        this.preDesignAnnex = preDesignAnnex;
    }

    @ExcelField(title="批概动态", align=2, sort=6)
    public String getBatchOverview() {
        return batchOverview;
    }

    public void setBatchOverview(String batchOverview) {
        this.batchOverview = batchOverview;
    }

    @ExcelField(title="批概静态", align=2, sort=7)
    public String getBatchStatistics() {
        return batchStatistics;
    }

    public void setBatchStatistics(String batchStatistics) {
        this.batchStatistics = batchStatistics;
    }

    @ExcelField(title="批概场地清理费/相应的WBS编码", align=2, sort=8)
    public String getEstimateCode() {
        return estimateCode;
    }

    public void setEstimateCode(String estimateCode) {
        this.estimateCode = estimateCode;
    }

    @ExcelField(title="设计费批概相应的/相应的WBS编码WBS编码", align=2, sort=9)
    public String getDesignCost() {
        return designCost;
    }

    public void setDesignCost(String designCost) {
        this.designCost = designCost;
    }

    @ExcelField(title="监理费批概/相应的WBS编码", align=2, sort=10)
    public String getSupervisionFeeCode() {
        return supervisionFeeCode;
    }

    public void setSupervisionFeeCode(String supervisionFeeCode) {
        this.supervisionFeeCode = supervisionFeeCode;
    }

    @ExcelField(title="批概法人管理费/相应的WBS编码", align=2, sort=11)
    public String getManagementFeeCode() {
        return managementFeeCode;
    }

    public void setManagementFeeCode(String managementFeeCode) {
        this.managementFeeCode = managementFeeCode;
    }

    @ExcelField(title="其他概算中需要的数据/相应的WBS编码", align=2, sort=12)
    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public String getLetterDesign() {
        return letterDesign;
    }

    public void setLetterDesign(String letterDesign) {
        this.letterDesign = letterDesign;
    }

    public String getDisigningContract() {
        return disigningContract;
    }

    public void setDisigningContract(String disigningContract) {
        this.disigningContract = disigningContract;
    }

    public String getOwnerDapartment() {
        return ownerDapartment;
    }

    public void setOwnerDapartment(String ownerDapartment) {
        this.ownerDapartment = ownerDapartment;
    }

    @ExcelField(title="三个项目部关键人员信息", align=2, sort=13)
    public String getThreeDepartment() {
        return threeDepartment;
    }

    public void setThreeDepartment(String threeDepartment) {
        this.threeDepartment = threeDepartment;
    }

    public String getInspectionControl() {
        return inspectionControl;
    }

    public void setInspectionControl(String inspectionControl) {
        this.inspectionControl = inspectionControl;
    }

    public String getLetterAcceptance() {
        return letterAcceptance;
    }

    public void setLetterAcceptance(String letterAcceptance) {
        this.letterAcceptance = letterAcceptance;
    }

    public String getConContract() {
        return conContract;
    }

    public void setConContract(String conContract) {
        this.conContract = conContract;
    }

    public String getOtherContracts() {
        return otherContracts;
    }

    public void setOtherContracts(String otherContracts) {
        this.otherContracts = otherContracts;
    }

    @ExcelField(title="用地预审意见（变电站） 文号", align=2, sort=14)
    public String getLandNo() {
        return landNo;
    }

    public void setLandNo(String landNo) {
        this.landNo = landNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="用地预审意见（变电站） 日期", align=2, sort=15)
    public Date getLandDate() {
        return landDate;
    }

    public void setLandDate(Date landDate) {
        this.landDate = landDate;
    }

    public String getLandAnnex() {
        return landAnnex;
    }

    public void setLandAnnex(String landAnnex) {
        this.landAnnex = landAnnex;
    }

    @ExcelField(title="环评批复（变电站、线路） 文号", align=2, sort=16)
    public String getEiaNo() {
        return eiaNo;
    }

    public void setEiaNo(String eiaNo) {
        this.eiaNo = eiaNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评批复（变电站、线路） 日期", align=2, sort=17)
    public Date getEiaDate() {
        return eiaDate;
    }

    public void setEiaDate(Date eiaDate) {
        this.eiaDate = eiaDate;
    }

    public String getEiaAnnex() {
        return eiaAnnex;
    }

    public void setEiaAnnex(String eiaAnnex) {
        this.eiaAnnex = eiaAnnex;
    }

    @ExcelField(title="环评验收文号及日期 文号", align=2, sort=18)
    public String getAcceptanceNo() {
        return acceptanceNo;
    }

    public void setAcceptanceNo(String acceptanceNo) {
        this.acceptanceNo = acceptanceNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评验收文号及日期 日期", align=2, sort=19)
    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public String getAcceptanceAnnex() {
        return acceptanceAnnex;
    }

    public void setAcceptanceAnnex(String acceptanceAnnex) {
        this.acceptanceAnnex = acceptanceAnnex;
    }

    @ExcelField(title="水保批复（变电站、线路） 文号", align=2, sort=20)
    public String getReplyNo() {
        return replyNo;
    }

    public void setReplyNo(String replyNo) {
        this.replyNo = replyNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保批复（变电站、线路） 日期", align=2, sort=21)
    public Date getReplyDate() {
        return replyDate;
    }

    public void setReplyDate(Date replyDate) {
        this.replyDate = replyDate;
    }

    public String getReplyAnnex() {
        return replyAnnex;
    }

    public void setReplyAnnex(String replyAnnex) {
        this.replyAnnex = replyAnnex;
    }

    @ExcelField(title="水保验收文号及日期 文号", align=2, sort=22)
    public String getSoilNo() {
        return soilNo;
    }

    public void setSoilNo(String soilNo) {
        this.soilNo = soilNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保验收文号及日期 日期", align=2, sort=23)
    public Date getSoilDate() {
        return soilDate;
    }

    public void setSoilDate(Date soilDate) {
        this.soilDate = soilDate;
    }

    public String getSoilannex() {
        return soilannex;
    }

    public void setSoilannex(String soilannex) {
        this.soilannex = soilannex;
    }

    @ExcelField(title="压覆矿藏复函（变电站） 文号", align=2, sort=24)
    public String getDepositNo() {
        return depositNo;
    }

    public void setDepositNo(String depositNo) {
        this.depositNo = depositNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="压覆矿藏复函（变电站） 日期", align=2, sort=25)
    public Date getDepositDate() {
        return depositDate;
    }

    public void setDepositDate(Date depositDate) {
        this.depositDate = depositDate;
    }

    public String getDepositAnnex() {
        return depositAnnex;
    }

    public void setDepositAnnex(String depositAnnex) {
        this.depositAnnex = depositAnnex;
    }

    @ExcelField(title="地灾评估备案表（变电站） 文号", align=2, sort=26)
    public String getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="地灾评估备案表（变电站） 日期", align=2, sort=27)
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public String getRecordAnnex() {
        return recordAnnex;
    }

    public void setRecordAnnex(String recordAnnex) {
        this.recordAnnex = recordAnnex;
    }

    public String getSiteProposalNo() {
        return siteProposalNo;
    }

    @ExcelField(title="选址意见书（变电站） 文号", align=2, sort=28)
    public void setSiteProposalNo(String siteProposalNo) {
        this.siteProposalNo = siteProposalNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="选址意见书（变电站） 日期", align=2, sort=29)
    public Date getSiteProposalDate() {
        return siteProposalDate;
    }

    public void setSiteProposalDate(Date siteProposalDate) {
        this.siteProposalDate = siteProposalDate;
    }

    public String getSiteProposalAnnex() {
        return siteProposalAnnex;
    }

    public void setSiteProposalAnnex(String siteProposalAnnex) {
        this.siteProposalAnnex = siteProposalAnnex;
    }

    @ExcelField(title="线路路径规划意见 文号", align=2, sort=30)
    public String getPlanningNo() {
        return planningNo;
    }

    public void setPlanningNo(String planningNo) {
        this.planningNo = planningNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="线路路径规划意见 日期", align=2, sort=31)
    public Date getPlanningDate() {
        return planningDate;
    }

    public void setPlanningDate(Date planningDate) {
        this.planningDate = planningDate;
    }

    public String getPlanningAnnex() {
        return planningAnnex;
    }

    public void setPlanningAnnex(String planningAnnex) {
        this.planningAnnex = planningAnnex;
    }

    @ExcelField(title="用地规划许可证 文号", align=2, sort=32)
    public String getUsePlanNo() {
        return usePlanNo;
    }

    public void setUsePlanNo(String usePlanNo) {
        this.usePlanNo = usePlanNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="用地规划许可证 日期", align=2, sort=33)
    public Date getUsePlanDate() {
        return usePlanDate;
    }

    public void setUsePlanDate(Date usePlanDate) {
        this.usePlanDate = usePlanDate;
    }

    public String getUsePlanAnnex() {
        return usePlanAnnex;
    }

    public void setUsePlanAnnex(String usePlanAnnex) {
        this.usePlanAnnex = usePlanAnnex;
    }

    @ExcelField(title="征地补偿批复 文号", align=2, sort=34)
    public String getRequisitonNo() {
        return requisitonNo;
    }

    public void setRequisitonNo(String requisitonNo) {
        this.requisitonNo = requisitonNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="征地补偿批复 日期", align=2, sort=35)
    public Date getRequisitonDate() {
        return requisitonDate;
    }

    public void setRequisitonDate(Date requisitonDate) {
        this.requisitonDate = requisitonDate;
    }

    public String getRequisitonAnnex() {
        return requisitonAnnex;
    }

    public void setRequisitonAnnex(String requisitonAnnex) {
        this.requisitonAnnex = requisitonAnnex;
    }

    @ExcelField(title="建设用地批准书 文号", align=2, sort=36)
    public String getConLandNo() {
        return conLandNo;
    }

    public void setConLandNo(String conLandNo) {
        this.conLandNo = conLandNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="建设用地批准书 日期", align=2, sort=37)
    public Date getConLandDate() {
        return conLandDate;
    }

    public void setConLandDate(Date conLandDate) {
        this.conLandDate = conLandDate;
    }

    public String getConLandAnnex() {
        return conLandAnnex;
    }

    public void setConLandAnnex(String conLandAnnex) {
        this.conLandAnnex = conLandAnnex;
    }

    @ExcelField(title="划拨决定书 文号", align=2, sort=38)
    public String getTransferNo() {
        return transferNo;
    }

    public void setTransferNo(String transferNo) {
        this.transferNo = transferNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="划拨决定书 日期", align=2, sort=39)
    public Date getTransferDate() {
        return transferDate;
    }

    public void setTransferDate(Date transferDate) {
        this.transferDate = transferDate;
    }

    public String getTransferAnnex() {
        return transferAnnex;
    }

    public void setTransferAnnex(String transferAnnex) {
        this.transferAnnex = transferAnnex;
    }

    @ExcelField(title="土地证（变电站） 文号", align=2, sort=40)
    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="土地证（变电站） 日期", align=2, sort=41)
    public Date getCertificateDate() {
        return certificateDate;
    }

    public void setCertificateDate(Date certificateDate) {
        this.certificateDate = certificateDate;
    }

    public String getCertificateAnnex() {
        return certificateAnnex;
    }

    public void setCertificateAnnex(String certificateAnnex) {
        this.certificateAnnex = certificateAnnex;
    }

    @ExcelField(title="建设工程规划许可证（变电站） 文号", align=2, sort=42)
    public String getPermitNo() {
        return permitNo;
    }

    public void setPermitNo(String permitNo) {
        this.permitNo = permitNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="建设工程规划许可证（变电站） 日期", align=2, sort=43)
    public Date getPermitDate() {
        return permitDate;
    }

    public void setPermitDate(Date permitDate) {
        this.permitDate = permitDate;
    }

    public String getPermitAnnex() {
        return permitAnnex;
    }

    public void setPermitAnnex(String permitAnnex) {
        this.permitAnnex = permitAnnex;
    }

    @ExcelField(title="消防设计审查/备案意见（变电站） 文号", align=2, sort=44)
    public String getFireProNo() {
        return fireProNo;
    }

    public void setFireProNo(String fireProNo) {
        this.fireProNo = fireProNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="消防设计审查/备案意见（变电站） 日期", align=2, sort=45)
    public Date getFireProdate() {
        return fireProdate;
    }

    public void setFireProdate(Date fireProdate) {
        this.fireProdate = fireProdate;
    }

    public String getFireProAnnex() {
        return fireProAnnex;
    }

    public void setFireProAnnex(String fireProAnnex) {
        this.fireProAnnex = fireProAnnex;
    }

    @ExcelField(title="消防验收/备案意见（变电站） 文号", align=2, sort=46)
    public String getFireAccNo() {
        return fireAccNo;
    }

    public void setFireAccNo(String fireAccNo) {
        this.fireAccNo = fireAccNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="消防验收/备案意见（变电站） 日期", align=2, sort=47)
    public Date getFireAccDate() {
        return fireAccDate;
    }

    public void setFireAccDate(Date fireAccDate) {
        this.fireAccDate = fireAccDate;
    }

    public String getFireAccAnnex() {
        return fireAccAnnex;
    }

    public void setFireAccAnnex(String fireAccAnnex) {
        this.fireAccAnnex = fireAccAnnex;
    }

    @ExcelField(title="不动产权证 文号", align=2, sort=48)
    public String getEstateNo() {
        return estateNo;
    }

    public void setEstateNo(String estateNo) {
        this.estateNo = estateNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="不动产权证 日期", align=2, sort=49)
    public Date getEstateDate() {
        return estateDate;
    }

    public void setEstateDate(Date estateDate) {
        this.estateDate = estateDate;
    }

    public String getEstateAnnex() {
        return estateAnnex;
    }

    public void setEstateAnnex(String estateAnnex) {
        this.estateAnnex = estateAnnex;
    }

    @ExcelField(title="规划总平（变电站）", align=2, sort=50)
    public String getPlanningLevel() {
        return planningLevel;
    }

    public void setPlanningLevel(String planningLevel) {
        this.planningLevel = planningLevel;
    }

    @ExcelField(title="勘察定界报告（变电站）", align=2, sort=51)
    public String getSurveyReport() {
        return surveyReport;
    }

    public void setSurveyReport(String surveyReport) {
        this.surveyReport = surveyReport;
    }

    @ExcelField(title="征地红线图（变电站）", align=2, sort=52)
    public String getRedLineMap() {
        return redLineMap;
    }

    public void setRedLineMap(String redLineMap) {
        this.redLineMap = redLineMap;
    }

    @ExcelField(title="用地红线图（变电站）", align=2, sort=53)
    public String getRedLineLand() {
        return redLineLand;
    }

    public void setRedLineLand(String redLineLand) {
        this.redLineLand = redLineLand;
    }

    @ExcelField(title="宗地图", align=2, sort=54)
    public String getZongMap() {
        return zongMap;
    }

    public void setZongMap(String zongMap) {
        this.zongMap = zongMap;
    }

    @ExcelField(title="勘察合同备案表（变电站）", align=2, sort=55)
    public String getRecordSurvey() {
        return recordSurvey;
    }

    public void setRecordSurvey(String recordSurvey) {
        this.recordSurvey = recordSurvey;
    }

    @ExcelField(title="设计合同备案表（变电站）", align=2, sort=56)
    public String getRecordDesign() {
        return recordDesign;
    }

    public void setRecordDesign(String recordDesign) {
        this.recordDesign = recordDesign;
    }

    @ExcelField(title="施工合同备案表（变电站）", align=2, sort=57)
    public String getRecordContract() {
        return recordContract;
    }

    public void setRecordContract(String recordContract) {
        this.recordContract = recordContract;
    }

    @ExcelField(title="监理合同备案表（变电站）", align=2, sort=58)
    public String getSupervisionRecord() {
        return supervisionRecord;
    }

    public void setSupervisionRecord(String supervisionRecord) {
        this.supervisionRecord = supervisionRecord;
    }

    @ExcelField(title="岩土勘察报告审查合格意见（变电站）", align=2, sort=59)
    public String getQulifiedOpinions() {
        return qulifiedOpinions;
    }

    public void setQulifiedOpinions(String qulifiedOpinions) {
        this.qulifiedOpinions = qulifiedOpinions;
    }

    @ExcelField(title="施工图审查合格意见（变电站）", align=2, sort=60)
    public String getConstructionComments() {
        return constructionComments;
    }

    public void setConstructionComments(String constructionComments) {
        this.constructionComments = constructionComments;
    }

    @ExcelField(title="施工图审查合格证（变电站）", align=2, sort=61)
    public String getConstructionDrawing() {
        return constructionDrawing;
    }

    public void setConstructionDrawing(String constructionDrawing) {
        this.constructionDrawing = constructionDrawing;
    }

    @ExcelField(title="抗震设防审查证书（变电站）", align=2, sort=62)
    public String getSeismicReview() {
        return seismicReview;
    }

    public void setSeismicReview(String seismicReview) {
        this.seismicReview = seismicReview;
    }

    @ExcelField(title="规划放线报告（变电站）", align=2, sort=63)
    public String getPlanningSetting() {
        return planningSetting;
    }

    public void setPlanningSetting(String planningSetting) {
        this.planningSetting = planningSetting;
    }

    @ExcelField(title="安监申报书、备案表（变电站）", align=2, sort=64)
    public String getSafetyRecord() {
        return safetyRecord;
    }

    public void setSafetyRecord(String safetyRecord) {
        this.safetyRecord = safetyRecord;
    }

    @ExcelField(title="质监申报书、备案表（变电站）", align=2, sort=65)
    public String getQualityRecord() {
        return qualityRecord;
    }

    public void setQualityRecord(String qualityRecord) {
        this.qualityRecord = qualityRecord;
    }

    @ExcelField(title="施工许可证", align=2, sort=66)
    public String getConstructionPermit() {
        return constructionPermit;
    }

    public void setConstructionPermit(String constructionPermit) {
        this.constructionPermit = constructionPermit;
    }

    @ExcelField(title="规划竣工测绘现状图及管线、绿化、比较图（变电站）", align=2, sort=67)
    public String getPlanBuiltMapping() {
        return planBuiltMapping;
    }

    public void setPlanBuiltMapping(String planBuiltMapping) {
        this.planBuiltMapping = planBuiltMapping;
    }

    @ExcelField(title="质监竣工验收意见（变电站）", align=2, sort=68)
    public String getQualityAcceptance() {
        return qualityAcceptance;
    }

    public void setQualityAcceptance(String qualityAcceptance) {
        this.qualityAcceptance = qualityAcceptance;
    }

    @ExcelField(title="城建档案接收合格证明（变电站）", align=2, sort=69)
    public String getUrbanArchives() {
        return urbanArchives;
    }

    public void setUrbanArchives(String urbanArchives) {
        this.urbanArchives = urbanArchives;
    }

    @ExcelField(title="竣工备案表（变电站）", align=2, sort=70)
    public String getCompletionRecord() {
        return completionRecord;
    }

    public void setCompletionRecord(String completionRecord) {
        this.completionRecord = completionRecord;
    }

    @ExcelField(title="房产测绘报告", align=2, sort=71)
    public String getRealEstate() {
        return realEstate;
    }

    public void setRealEstate(String realEstate) {
        this.realEstate = realEstate;
    }

    @ExcelField(title="宗地复测报告", align=2, sort=72)
    public String getReportOnLang() {
        return reportOnLang;
    }

    public void setReportOnLang(String reportOnLang) {
        this.reportOnLang = reportOnLang;
    }


    public List<EarlyEngineering> getChildList() {
        return childList;
    }

    public void setChildList(List<EarlyEngineering> childList) {
        this.childList = childList;
    }
}
